/* MAPROOM CSS FOR INTERACTIVE, ANIMATED MAPS http://maproom.net */


body {
	color: #999;
	font-family: arial, sans-serif;
}

/* EDIT THE MAP SIZE, BACKGROUND AND FRAME HERE */
#map-container {
	max-width: 800px; /*change to resize map */
	background-color: #FFFFFF;
	/*UNCOMMENT TO ADD A FRAME*/
	/*border: 1px solid #eee;
	-webkit-box-shadow: 0 0 3px rgba(0,0,0,0.75);
	-moz-box-shadow: 0 0 3px rgba(0,0,0,0.75);
	box-shadow: 0 0 3px rgba(0,0,0,0.75);
	-moz-border-radius: 3px;
	-webkit-border-radius: 3px;
	border-radius: 3px;*/
}


/* SVG MAP LABELS */
text {
	fill: #000000; /* Labels need to be a dark colour to be visible through fill opacity */
	font-family: Helvetica, arial, sans-serif;
	font-size: 12px; /* Default font size for labels */
	font-weight: bold;
	letter-spacing: 1;
}	
#BA-text, #BB-text, #BD-text, #BH-text, #BN-text, #BS-text, #CB-text, #CM-text, #CO-text, #CT-text, #CV-text, #DH-text, #DT-text, #GU-text, #HG-text, #HP-text, #HU-text, #L-text, #LS-text, #ME-text, #MK-text, #NN-text, #OX-text, #PO-text, #PR-text, #RG-text, #RH-text, #SG-text, #SK-text, #SN-text, #SO-text, #SP-text, #ST-text, #TF-text, #TN-text, #TQ-text, #TR-text, #WR-text, #ZE-text {
	font-size: 9px;
}
#CH-text, #CW-text, #IM-text, #LU-text, #-text, #M-text, #ZE {
	font-size: 8px;
}
#AL-text, #DY-text, #HD-text, #HX-text, #OL-text, #SL-text, #SS-text, #WA-text, #WF-text {
	font-size: 7px;
}
#BL-text, #WS-text, #WV-text {
	font-size: 6px;
}
#DA-text, #RM-text, #WD-text, #WN-text {
	font-size: 5px;
}
#BR-text, #CR-text, #EN-text, #FY-text, #HA-text, #IG-text, #KT-text, #TW-text, #UB-text {
	font-size: 4px;
}
#E-text, #N-text, #NW-text, #SE-text, #SM-text, #SR-text, #SW-text, #W-text {
	font-size: 3px;
}


/* SVG DEFAULT PATH STYLE */
path {
	fill: #8AC36B; /* Default map colour */
	fill-opacity: 0.5;
	stroke: #ffffff;
	
 	stroke-linecap="round";
 	stroke-linejoin="round";
 	stroke-miterlimit="1";
	-webkit-transition: fill 300ms ease-in-out;
	-moz-transition: fill 300ms ease-in-out;
	-ms-transition: fill 300ms ease-in-out;
	-o-transition: fill 300ms ease-in-out;
	transition: fill 300ms ease-in-out;
}


path:hover {
	fill: #F16919; /* Default hover colour */
	fill-opacity: 0.7;
	cursor: pointer;
}

.MP-chrome path{
	stroke-width:2;
}

path.svg-pan-zoom-control-element {
  fill: #000;
  stroke-width: 0;
}


/* NOTE: THE COLOUR AND STYLE OF INDIVIDUAL POSTCODES CAN BE CUSTOMISED BY TARGETING THE PATH ID, FOR EXAMPLE path#ST, path#CA, path#AB */


/* SHETLAND BOX STYLE */
rect#Shetland_box {
	fill:none;
	stroke: #CACACA;
	stroke-width:1.5;
}

/* REPUBLIC OF IRELAND STYLE */
path#Republic_of_Ireland {
	fill: #ddd;
	fill-opacity: 1.0;
	stroke: none;
}
path#Republic_of_Ireland {
	cursor: default;
}

/* Zoom Controls */

path.svg-pan-zoom-control-element {
	fill: #000;
}

/* TOOLTIP STYLE */

/* Tooltip heading */
.MR-tooltip h3 {
	margin: 0 0 5px;
	padding: 0 0 5px;
	border-bottom: 1px solid #ccc;
	color: #FA6101;
	font-size: 16px;
}
/* Tooltip content */
.MR-tooltip, .MR-tooltip p {
	color: #222;
	font-size: 14px;
	line-height: 1.4;
}
/* Tooltip box */
.MR-tooltip {
	background-color: #fff;
	padding: 15px;
	max-width: 200px;
	margin: 5px;
	border: 1px #ccc solid;
	-webkit-border-radius: 5px;
	-moz-border-radius: 5px;
	border-radius: 5px;
	-webkit-box-shadow: 0px 1px 1px 0px rgba(50, 50, 50, 0.5);
	-moz-box-shadow: 0px 1px 1px 0px rgba(50, 50, 50, 0.5);
	box-shadow: 0px 1px 1px 0px rgba(50, 50, 50, 0.5);
}
/* Tooltip right-hanging left arrow */
.MR-right-tooltip:after {
	left: -9px;
	top: 20%;
	content: "◀";
	font-size: 20px;
	position: absolute;
	pointer-events: none;
	text-shadow: -2px 1px 1px rgba(50, 50, 50, 0.5);
	color: #fff;
}
/* Tooltip left-hanging right arrow */
.MR-left-tooltip:after {
	right: -9px;
	top: 20%;
	content: "▶";
	font-size: 20px;
	position: absolute;
	pointer-events: none;
	text-shadow: 2px 1px 1px rgba(50, 50, 50, 0.5);
	color: #fff;
}


/* FUNCTIONALITY */
#map-container {
	position: relative;
	margin: 0 auto;
	padding: 0 0 55px;
	overflow: hidden;	
}
.MR-tooltip-container {
	position: absolute;
	z-index: 10000000
}
.MR-tooltip {
	display: none;
}
.MR-tooltip-mobile-show {
	display: block;
}
.MR-arrow-hide .MR-left-tooltip:after, .MR-arrow-hide .MR-right-tooltip:after {
	display: none;
}
.mobile .MR-left-tooltip:after,
.mobile .MR-right-tooltip:after {
	content:"";
}
.mobile .MR-tooltip {
	margin: 30px 20px; 
}


/* COPYRIGHT NOTICE MAY BE RESTYLED OR MOVED, BUT NOT HIDDEN OR DELETED */
.copyright {
	position: absolute;
	bottom: 15px;
	width: 100%;
	text-align:center;
	font-size: 9px;
}
.copyright a {
	color: inherit;
	text-decoration: underline;
}



/* BROWSER AND DEVICE SUPPORT */

object {
    width: 100%; /* for IE9 sizing */
    min-height:  500px; /* for Safari sizing on PCs and Ipads */
} 


@media only screen and (max-width: 740px) {

/*path {
	stroke-width: 3;
}
*/



@media only screen and (max-width: 480px) {

object {
	min-height: 300px; /* for Safari sizing on smartphones */
}
/*path {
	stroke-width: 4;
}*/

}


